summaryrefslogtreecommitdiffstats
path: root/db-add
diff options
context:
space:
mode:
authorFlorian Pritz <bluewind@xinu.at>2014-01-04 23:19:40 +0100
committerFlorian Pritz <bluewind@xinu.at>2015-05-27 15:46:04 +0200
commitc9e8f60aba3477742fd9592e4e7a9416e6f51449 (patch)
tree0c69ecc95210b2ace101ed1fd87f8a7f0462b706 /db-add
parent4fcedea4ae5fb8788c7ef0ddd907ed8b02d14a5b (diff)
downloaddbscripts-c9e8f60aba3477742fd9592e4e7a9416e6f51449.tar.gz
dbscripts-c9e8f60aba3477742fd9592e4e7a9416e6f51449.tar.xz
somewhat working
Signed-off-by: Florian Pritz <bluewind@xinu.at>
Diffstat (limited to 'db-add')
-rwxr-xr-xdb-add40
1 files changed, 40 insertions, 0 deletions
diff --git a/db-add b/db-add
new file mode 100755
index 0000000..490ba43
--- /dev/null
+++ b/db-add
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+. "$(dirname $0)/config"
+. "$(dirname $0)/db-functions"
+
+if [ $# -lt 3 ]; then
+ msg "usage: ${0##*/} <repo> <arch> <pkgfile> ..."
+ exit 1
+fi
+
+repo="$1"
+arch="$2"
+pkgfiles=(${@:3})
+
+ftppath="$FTP_BASE/$repo/os"
+
+if ! check_repo_permission $repo; then
+ die "You don't have permission to add packages to ${repo}"
+fi
+
+if [ "$arch" == "all" ]; then
+ tarches=(${ARCHES[@]})
+else
+ tarches=("$arch")
+fi
+
+for tarch in ${tarches[@]}; do
+ repo_lock $repo $tarch || exit 1
+done
+
+for pkgfile in ${pkgfiles[@]}; do
+ if [[ -f "$pkgfile" ]]; then
+ arch_add_to_pool "$pkgfile"
+ fi
+ arch_db_add $repo "$pkgfile" ${tarches[@]}
+done
+
+for tarch in ${tarches[@]}; do
+ repo_unlock $repo $tarch
+done